STOFFParagraph Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
STOFFParagraph Class Reference

class to store the paragraph properties More...

`#include <STOFFParagraph.hxx>`

## Public Member Functions
| STOFFParagraph ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | operator== (STOFFParagraph const &p) const
| operator== More...
bool | operator!= (STOFFParagraph const &p) const
| operator!= More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the properties More...
bool | m_outline
| flag to know if this is a outline level More...
bool | m_bulletVisible
| flag to know if the bullet is visible More...
int | m_listLevelIndex
| the actual level index More...
int | m_listId
| the list id (if know ) More...
int | m_listStartValue
| the list start value (if set ) More...
STOFFListLevel | m_listLevel
| the actual level More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFParagraph const &para)
| operator<< More...

## Detailed Description

class to store the paragraph properties

## Constructor & Destructor Documentation

## ◆ STOFFParagraph()

STOFFParagraph::STOFFParagraph | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addTo()

void STOFFParagraph::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## ◆ operator!=()

bool STOFFParagraph::operator!= | ( | STOFFParagraph const & | p | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFParagraph::operator== | ( | STOFFParagraph const & | p | ) | const

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFParagraph const & | para
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_bulletVisible

bool STOFFParagraph::m_bulletVisible

flag to know if the bullet is visible

Referenced by StarParagraphAttribute::StarPAttributeUInt::addTo(), operator==(), and StarObjectTextInternal::TextZone::send().

## ◆ m_listId

int STOFFParagraph::m_listId

the list id (if know )

Referenced by operator<<(), operator==(), and StarObjectTextInternal::TextZone::send().

## ◆ m_listLevel

STOFFListLevel STOFFParagraph::m_listLevel

the actual level

Referenced by StarParagraphAttribute::StarPAttributeBulletNumeric::addTo(), StarParagraphAttribute::StarPAttributeBulletSimple::addTo(), operator<<(), operator==(), and StarObjectTextInternal::TextZone::send().

## ◆ m_listLevelIndex

int STOFFParagraph::m_listLevelIndex

the actual level index

Referenced by StarParagraphAttribute::StarPAttributeUInt::addTo(), StarItemPool::defineParagraphStyle(), operator<<(), operator==(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## ◆ m_listStartValue

int STOFFParagraph::m_listStartValue

the list start value (if set )

Referenced by operator==().

## ◆ m_outline

bool STOFFParagraph::m_outline

flag to know if this is a outline level

Referenced by StarItemPool::defineParagraphStyle(), operator==(), and StarObjectTextInternal::TextZone::send().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFParagraph::m_propertyList

the properties

Referenced by addTo(), StarParagraphAttribute::StarPAttributeBool::addTo(), StarParagraphAttribute::StarPAttributeUInt::addTo(), StarFrameAttribute::StarFAttributeBorder::addTo(), StarParagraphAttribute::StarPAttributeAdjust::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeLineNumbering::addTo(), StarParagraphAttribute::StarPAttributeDrop::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarParagraphAttribute::StarPAttributeLineSpacing::addTo(), StarFrameAttribute::StarFAttributeULSpace::addTo(), StarParagraphAttribute::StarPAttributeTabStop::addTo(), StarItemPool::defineParagraphStyle(), STOFFGraphicListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), operator<<(), and operator==().

The documentation for this class was generated from the following files:

- STOFFParagraph.hxx
- STOFFParagraph.cxx